# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::CatmullRomInterpolatorDVec3 Class Reference

Interpolates vl::dvec3 values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorDVec3:

List of all members.

## Public Member Functions

| CatmullRomInterpolatorDVec3 ()
| CatmullRomInterpolatorDVec3 (const std::vector< vl::dvec3 > &path)
vl::dvec3 | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorDVec3_T * | interpolator ()
const CatmullRomInterpolatorDVec3_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorDVec3_T *interpolator)

## Protected Attributes

vl::ref < CatmullRomInterpolatorDVec3_T > | mInterpolator

## Detailed Description

Interpolates vl::dvec3 values using a CatmullRomInterpolator.

Definition at line 219 of file CatmullRomInterpolator.hpp.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorDVec3::CatmullRomInterpolatorDVec3 | ( | ) | `[inline]`

Definition at line 222 of file CatmullRomInterpolator.hpp.

vl::CatmullRomInterpolatorDVec3::CatmullRomInterpolatorDVec3 | ( | const std::vector< vl::dvec3 > & | path ) | `[inline]`

Definition at line 223 of file CatmullRomInterpolator.hpp.

## Member Function Documentation

vl::dvec3 vl::CatmullRomInterpolatorDVec3::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDVec3.

Definition at line 224 of file CatmullRomInterpolator.hpp.

References vl::CatmullRomInterpolator< T >::computePoint(), and interpolator().

CatmullRomInterpolatorDVec3_T* vl::CatmullRomInterpolatorDVec3::interpolator | ( | ) | `[inline]`

Definition at line 225 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const CatmullRomInterpolatorDVec3_T* vl::CatmullRomInterpolatorDVec3::interpolator | ( | ) | const`[inline]`

Definition at line 226 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::CatmullRomInterpolatorDVec3::setInterpolator | ( | CatmullRomInterpolatorDVec3_T * | interpolator ) | `[inline]`

Definition at line 227 of file CatmullRomInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

vl::ref<CatmullRomInterpolatorDVec3_T> vl::CatmullRomInterpolatorDVec3::mInterpolator`[protected]`

Definition at line 229 of file CatmullRomInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/CatmullRomInterpolator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:32.
Permission is granted to use this page to write and publish articles regarding Visualization Library.